drkns 2023-02-14 21:56:31+00:00 - build 120

1. A few fixes.

zg 2023-02-10 15:30:29+02:00 - build 119

1. continue 118.

zg 2023-02-10 15:13:13+02:00 - build 118

1. forum: ralt+shift+f3 didn't work.

drkns 2022-11-10 17:40:00+00:00 - build 117

1. Add GUID to "Save file list" dialog.

drkns 2022-11-09 19:37:38+00:00 - build 116

1. Populate reparse point types.

drkns 2022-08-04 23:33:39+01:00 - build 115

1. gh-538: Frequent Crashes in Temp Panel after Find Results

drkns 2022-08-02 22:48:02+01:00 - build 114

1. Fix crashes.

drkns 2022-08-02 21:06:08+01:00 - build 113

1. gh-537: Saved content to a list file contains null termination character.

drkns 2022-07-13 22:24:34+01:00 - build 112

1. Typo in 111.

drkns 2021-12-26 23:48:07+00:00 - build 111

1. Refactoring.
   After seeing "realloc(N + 1)" and other wonders of this plugin there was no other way but to rewrite it.
   Maybe it will even work better. Or maybe not. Beware of bugs.

shmuel 2020-07-14 07:11:56+03:00 - build 110

1. Исправление 107.1 для общего случая (когда текущий элемент не "..").

shmuel 2020-05-03 15:16:21+03:00 - build 109

1. Не работало копирование имён файлов на панель с другой временной панели.

drkns 2019-06-23 17:18:50+01:00 - build 108

1. В плагине творилось страшное.
   И, наверное, продолжает, но уже немного меньше.

shmuel 2019-01-29 14:11:46+02:00 - build 107

1. При открытии хост-файла, после выхода из панели курсор прыгал на ..

2. В режиме "Меню из файла списка" после закрытия меню выскакивало окошко "Windows can't open this file".

drkns 2016-02-07 01:21:16+02:00 - build 106

1. Плагин зачем-то считал себя умнее пользователя и удалял кавычки из строк в temp-файлах.

zg 2015-03-20 23:41:34+02:00 - build 105

1. Far 3.0 API 4321

shmuel 2015-01-26 16:42:07+02:00 - build 104

1. Уточнение build 87 (в поле ввода диалога сохранения списка файлов
   иногда попадал мусор, или отображалось имя файла с путём \ ).

svs 2014-07-30 17:07:10+04:00

1. Добавлен TmpPanel.ListUTF8.farconfig

svs 2014-07-29 12:05:13+04:00 - build 103

1. Mantis#0000904: Пустое меню файла-списка (*.temp)
   Ошибка компиляции

2. Лист (Alt-Shift-F2) сохраняется в UTF-8.
   (для сохранения в 1200 поменяйте параметр "ListUTF8" в конфигурационной базе плагина на 0)

svs 2014-07-28 16:56:12+04:00 - build 102

1. Покривился сепаратор ("|-|" отображался как разделительная линия с заголовком " - ")

2. Mantis#0000904: Пустое меню файла-списка (*.temp)
   так же плагин понимает UTF-8 без BOM

3. temp-файлы переведены в UTF-8.

4. Вопрос с CP_REVERSEBOM открытый.

t-rex 2012-10-06 21:01:01+02:00 - build 101

1. x64 warnings.

t-rex 2012-10-06 18:48:30+02:00 - build 100

1. Обновил для Far build 2871.

zg 2012-09-23 21:16:57+02:00 - build 99

1. Far 3.0 API 2834

zg 2012-09-23 17:52:15+02:00 - build 98

1. Far 3.0 API 2830

zg 2012-09-19 00:43:54+02:00 - build 97

1. Far 3.0 API 2808

zg 2012-09-16 19:01:41+02:00 - build 96

1. Far 3.0 API 2802

zg 2012-09-16 15:13:34+02:00 - build 95

1. Far 3.0 API 2799

zg 2012-03-26 16:15:14+02:00 - build 94

1. Far 3.0 API 2572

zg 2012-03-25 17:42:32+02:00 - build 93

1. Far 3.0 2571.

drkns 2012-02-20 15:21:31+02:00 - build 92

1. Far 3.0 2470.

zg 2012-02-16 04:20:13+02:00 - build 91

1. Far 3.0 2462.

zg 2012-01-17 00:13:06+02:00 - build 90

1. Far 3.0 2395: не храним глобально имя файла из Analyse.

t-rex 2012-01-13 19:48:09+02:00 - build 89

1. Far 3.0 2373

drkns 2012-01-02 16:20:14+02:00 - build 88

1. Уточнение b87.

drkns 2012-01-02 15:19:02+02:00 - build 87

1. Far 3 API.

t-rex 2011-12-21 22:41:38+02:00

1. reg -> xml

svs 2011-09-01 18:50:10+03:00 - build 86

1. gcc. wcslen --> lstrlen

svs 2011-08-29 16:30:49+03:00 - build 85

1. Доп. проверка в Анализе.

svs 2011-08-22 21:12:23+03:00 - build 84

1. mix

svs 2011-08-22 16:09:00+03:00 - build 83

1. Far 3 API 2105

drkns 2011-07-07 20:35:34+02:00 - build 82

1. Copy - paste? :)

svs 2011-07-04 17:21:50+03:00 - build 81

1. Работа над ошибками...

svs 2011-07-04 17:14:04+03:00 - build 80

1. FAR API 3.0

2. Непонятно как сокращенные названия опций приведены в читаемый вид.

t-rex 2011-03-22 01:59:25+02:00 - build 79

1. From Shmuel: Mantis#1658: Падение плагина при прерывании операции.

t-rex 2011-02-06 00:26:48+02:00

1. lng,hlf -> utf8, reg -> Far2

drkns 2010-12-03 19:01:51+02:00 - build 78

1. Ошибки инициализации памяти.

drkns 2010-10-17 10:25:54+02:00 - build 77

1. Ошибка в 76.

drkns 2010-10-15 13:23:23+02:00 - build 76

1. Из W-версии убрана опция "Добавить к меню дисков::Клавиша доступа"

t-rex 2010-04-23 13:21:59+02:00 - build 75

1. Mantis#1342: Падение при использовании ключа /u со слишком длинным параметром.

yjh 2010-01-30 10:54:56+03:00 - build 74

1. Предупреждения в 64хбитовой A версии

chupakabra 2010-01-26 19:34:00+02:00 - build 73

1. FSF.GetDirList теперь возвращает полные пути к файлам.

drkns 2010-01-09 14:17:27+02:00 - build 72

1. Far 2.0.1327.

drkns 2010-01-09 12:59:15+02:00 - build 71

1. Far 2.0.1325.

zg 2010-01-07 19:28:19+02:00 - build 70

1. far 2.0.1317.

chupakabra 2009-11-04 14:11:00+02:00 - build 69

1. Избавляемся от коротких имен файлов.

2. Дополнение по поддержке длинных путей.

3. Исправлено удаление дубликатов (поломано в build 66).

chupakabra 2009-11-04 11:13:00+02:00 - build 68

1. Восстановлена работа с путями, содержащими прямые слеши.

2. Не собираем информацию о файле в тех случаях когда она уже предоставлена Фаром.

chupakabra 2009-11-03 14:05:00+02:00 - build 67

1. From Maximus5: отображение вывода программы в меню.

chupakabra 2009-11-02 00:42:00+02:00 - build 66

1. Mantis#0001150: Не работает режим сортировки "Unsorted".

chupakabra 2009-11-01 23:05:00+02:00 - build 65

1. Mantis#0001149: Файл-список расположенный в директории с длинным путём.

chupakabra 2009-11-01 20:53:00+02:00 - build 64

1. Mantis#0000889: Обработка элементов вида * и .

t-rex 2009-10-26 23:18:45+02:00 - build 63

1. Mantis#887: Реакция на отсутствие файла-списка.
   Если файл списка не найден, то не будем открывать панель.

t-rex 2009-10-26 23:08:50+02:00 - build 62

1. Файл список не находился в текущей папке при вызове через префикс.

2. Mantis#885: Файл-список должен искаться в первую очередь в текущей директории.
   Теперь поряд поиска вот такой:
   1. В текущей директории.
   2. В директории плагина.
   3. В %FARHOME%.
   4. В директориях, перечисленных в переменной окружения %PATH%.

t-rex 2009-10-26 17:07:55+02:00 - build 61

1. Переделка GetMinFarVersion.

chupakabra 2009-10-26 05:54:00+02:00 - build 60

1. Превращаем относительные пути в абсолютные только для существующих элементов.

t-rex 2009-10-24 23:47:19+02:00 - build 59

1. Более "модерный" метод получения пути плагина, заодно вообще убрал DllMain.

2. При переходах на новый api поломался tmp:<|path|command.

drkns 2009-10-24 20:23:01+02:00 - build 58

1. Far 2.0.1180.

t-rex 2009-10-23 12:46:06+02:00 - build 57

1. Mantis#1130: Переполнение стека.

2. По дороге заметил ещё пару глюков где в FarAPI передавался TCHAR** вместо TCHAR*.

chupakabra 2009-10-23 00:16:00+02:00 - build 56

1. Не работала обработка относительныйх путей в юникодной версии.

2. Убрал код из DllMain (создает проблемы с отладчиком).

t-rex 2009-10-21 15:33:49+02:00 - build 55

1. Mantis#1129: не собирается ansi версия.

chupakabra 2009-10-18 14:24:00+02:00 - build 54

1. Поддержка NT путей.

drkns 2009-10-11 22:10:16+02:00 - build 53

1. Адаптация к Far 1160. Пока что очень и очень костыльно, да.

yjh 2009-10-03 11:35:11+03:00 - build без смены номера

1. Убираем предупреждения на 64хбитовой компиляции

drkns 2009-09-27 09:57:00+02:00 - build 52

1. Убираем привязку к CurrentDirectory far'а.

t-rex 2009-05-30 02:54:46+02:00 - build 51

from chupakabra:

1. Mantis#637: Проблемы плагинов с OPIF_REALNAMES

svs 2009-04-15 15:33:10+03:00 - build 50

1. Mantis#0000827: Баг в Temporary panel b47,b48 & b49

t-rex 2009-04-08 02:03:13+02:00 - build 49

1. Update for GetFileOwner API change in 2.0 863.

svs 2009-03-12 19:12:59+03:00 - build 48

1. Mantis#0000779: TmpPanel неправильно отрисовывает меню из файла-списка (*.temp)
   Вместо фиксированного значения 10x128 сделаем динамику

zg 2009-02-24 01:20:44+02:00 - build 47

1. Адаптация к новому PanelAPI в 2.0.789.

drkns 2009-01-27 16:09:51+02:00 - build 46

1. Адаптация к новому PanelAPI в 2.0.753.

drkns 2009-01-05 21:42:57+02:00 - build 45

1. Баг с SearchPath в юникодной версии - параметры lpFileName и lpBuffer не должны пересекаться.

drkns 2008-12-16 20:32:26+02:00 - build 44

1. Очень криво работало AltShiftF12.

t-rex 2008-12-16 14:06:04+02:00 - build 43

Тройной баг в одном месте :)

1. В WinXP (как минимум) незя вызывать GetFullPathNameW с одинаковым баффером в in и out, поэтому не работала юникодная GCC сборка плагина.

2. В VC сборку вообще не попадал DllMain и поэтому не было глюка 1 но был глюк 3.

3. В VC сборке плагина не работал поиск *.temp файлов в папке плагина из за глюка 2.

t-rex 2008-12-16 00:13:05+02:00 - build 42

1. В юникод версии в GoToFile для FCTL_FREEPANELINFO не ту структуру передавали и всё летело крахом :)

zg 2008-12-14 02:42:50+02:00 - build 41

1. в unicode версии неправильно использовалось SelectedItems.

drkns 2008-09-05 10:12:52+02:00 - build 40

1. Адаптация к новому PanelAPI в 1.8.

yjh 2008-06-14 18:56:30+03:00 - build 39

1. Memory Leak (вроде как последний :) и мелкие правки

yjh 2008-06-14 04:33:48+03:00 - build 38

1. Кучка ударов по памяти. Вроде как работает :).

TODO:
   а) Осталась непроверенной логика работы с Common Panels - есть подозрение
      что там тоже полно неправилной работы с памятью
   б) есть странность в W-версии. Если открыть любой файл в панели на просморт
      то при выхода из панели оказываемся не там где были, до входа в неё
      а там где был просматривавшийся файл

yjh 2008-06-14 02:57:59+03:00 - build 37

1. Ещё парочка странностей с памятью. Остались невыверенные CommoinPanels
   ну и ошибка приводящая к падению в FindFirstFile на не первом вызове

yjh 2008-06-14 01:22:44+03:00 - build 36

1, Ошибка логики (засаженная при портировании) в обработке директорий.

2. Парочка ударов по памяти (врнесённые тогда же)

3. Парочка потенциальных memory-leak бывших и раньше :)

   Как-то уже дышит, но не до конца - где-то сотался удар по памяти


t-rex 2008-06-14 01:49:30+02:00 - build 35

1. Исправил не получение путей, к активности и пассивности панели отношения не имело.

yjh 2008-06-14 00:50:56+03:00

1. Версия не менялась - синхронизация с новыми названиями констант в 1.8


yjh 2008-06-14 00:50:59+03:00 - build 34

1. Доделана работа с файлами списков для 1.8. Сохранение ВСЕГДА производится
   в unicode с BOM в начале, а вот на загрузке поддерживается и старый формат.
   Логика на загрузке такая: если есть BOM (только UCS2_LE - при наличии
   BOM UCS2_BE или UTF8 - файл игнорируется) файл грузится как unicde, если
   BOM нет - как OEM (ansi "не бывает").

2. Убрана куча ненужных static'ов - стека вполне достаточно :)

3. Первичное тестирование - вроде даже работает ;-)

TODO: Есть проблема с ANOTHER_PANEL - в 1;8 пока нет возможности выяснить
      на активной панели мы или на пассивной, в результате при F5 получаем
      файлы без пути


yjh 2008-06-12 03:38:32+03:00 - build 33

1. Почти :) спортировано в 1.8. В том плане что компилируется без
   ошибок/предупреждений во всех режимах, но работоспособность не проверялась
   даже для A-версий. Уж больно много тронулось...
   TODO: файлы сохранение панелей в W версии сдедланы в unicode - возможно
         имеет смысл сделать им BOM, и возможно нужно иметь для них
         отдельные .temp-файлы. Поскольку я с ними кидогда не работал,
         то хай думает тот кто знает зачем они :)

yjh 2008-06-11 21:32:17+03:00

1. Билд не менялся. Просто выкинут не используемый файл :)


t-rex 2008-06-09 11:01:31+02:00 - build 32

1. gcc 4.3.0 warnings removed.

t-rex 2007-02-05 20:51:22+02:00 - build 31

1. Общий мэйк файл для x64 и x86 для VC.

2. Различные падения с [x] Any item on panel.


t-rex 2006-12-03 23:12:54+02:00 - build 30

1. Доделал x64.

2. Привёл прошлые изменения к общей форме.

3. Начинаем писать changelog, я сделал себе макрос
   "t - r e x Space $Date \"%d.%m0.%Y %H:%M:%S %Z\" Enter"
   чтоб выводить заголовок changelog-а.
   Последующие логи надо писать сверху - т.е. файл будет идти хронологически снизу вверх.
   В changelog прошу писать в Win кодировке.


buda

+ батник для компиляции с командной строки с помощью Visual Studio;
+ проект под Visual Studio 6;
+ проект под Visual Studio 2005;
* элементы файла-списка вида \\.\cdrom0 и т.д. отображаются как файлы, а не как каталоги
- ошибки при компиляции под 64bit;
- диалог конфигурации вызванный по AltShiftF9 с панелей не закрывался по первому ескейпу;
